<!DOCTYPE html>
<html>
    <head>
        <title>TRANG QUẢN TRỊ</title>
        <meta charset="utf-8"/>
        <link rel="stylesheet" type="text/css" href="/bootstrap/css/bootstrap-theme.css">
        <link rel="stylesheet" type="text/css" href="/bootstrap/css/bootstrap.css">
        <link rel="stylesheet" type="text/css" href="/icons/css/font-awesome.css">
        <link rel="stylesheet" type="text/css" href="/css/management.css"> 
        <link rel="stylesheet" type="text/css" href="/sweetalert/sweetalert2.min.css"> 
        <script type="text/javascript" src="/js/jquery.min.js"></script>
        <script type="text/javascript" src="/bootstrap/js/bootstrap.js"></script>
        <script type="text/javascript" src="/js/axios.min.js"></script>
        <script type="text/javascript" src="/sweetalert/sweetalert2.min.js"></script>
        <script type="text/javascript" src="/js/DataAPI/allData.js"></script>
    </head>
    <body style="background-color: #F9F9F9">
        <div class="container">
             <%- include('includes/nav-admin') %> 
        <div>  
            <h1>Danh sách địa điểm</h1>
            <div class="form-inline">
                <label for="khuVuc">Khu vực: </label>
                <select class="form-control" style="margin-right:15px;" id="khuVuc">
                    <option class="opKhuVuc" selected="selected">Tất cả</option>
                    <option class="opKhuVuc">Trong nước</option>
                    <option class="opKhuVuc">Ngoài nước</option>
                </select>
            </div>
            <div id="tourDuLich" style="margin-top: 20px;">
                <table class="table table-bordered">
                    <thead>
                    <tr>
                        <th class="col-md-1 text-center">STT</th>
                        <th class="col-md-3 text-center">Mã địa điểm</th>
                        <th class="col-md-3 text-center">Ảnh địa điểm</th>
                        <th class="col-md-5 text-center">Tên địa điểm</th>
                        <th class="col-md-1">
                            <!-- Trigger the modal with a button -->
                            <button type="button" class="btn btn-info" data-toggle="modal" data-target="#myDiaDiem">Thêm địa điểm</button>

                            <!-- Modal -->
                            <div class="modal fade" id="myDiaDiem" role="dialog">
                                <div class="modal-dialog">
                                
                                    <!-- Modal content-->
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                                            <h4 class="modal-title">  </h4>
                                        </div>
                                        <div class="modal-body">
                                            <form id="formDiaDiem" method="POST" action="<%- localhost %>/api/dia-diem/insert" enctype="multipart/form-data">    
                                                <div class="form-group">
                                                    <label for="KieuDD">Khu vực</label>
                                                    <select class="form-control" style="margin-right:15px;" name="KieuDD" id="KieuDD">
                                                        <option selected="selected" >Trong nước</option>
                                                        <option>Ngoài nước</option>
                                                    </select>
                                                </div>
                                                <div class="form-group">
                                                    <label for="MaDD">Mã địa điểm</label>
                                                    <input type="text" class="form-control" name="MaDD" id="MaDD">
                                                </div>
                                                <div class="form-group">
                                                    <label for="TenDD">Tên địa điểm</label>
                                                    <input type="text" class="form-control" name="TenDD" id="TenDD">
                                                </div>
                                                <div >   
                                                    <div class="anh-dia-diem">
                                                            <img height="285px" id="anhDiaDiem" src="/images/default.png" />     
                                                    </div>     
                                                    <label for="anhDiaDiemInput" class="custom-file-upload">
                                                        <i class="fa fa-upload" aria-hidden="true"></i> Chọn ảnh địa điểm
                                                    </label>
                                                    <input id="anhDiaDiemInput" onchange="handleUploadAnh('anhDiaDiemInput', 'anhDiaDiemSpan', 'anhDiaDiem')" name="anhDiaDiemInput" type="file"/><span id="anhDiaDiemSpan"></span>                          
                                                    <span style="display: block; visibility: hidden" class="errMessage" id="errAnhDiaDiem">Ảnh địa điểm không được bỏ trống</span> 
                                                </div>
                                            </form>
                                        </div>
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-default" id="btnXacNhan" >Xác Nhận</button>
                                        </div>
                                    </div>
                                
                                </div>
                            </div>
                
                        </th>
                    </tr>
                    </thead>
                    <tbody id="bodyAllDiaDiem">
                        <!-- HERE -->
                    </tbody>
                </table>
            </div>
        <script type="text/javascript" src="/js/DataAPI/dataDiaDiem.js"></script>
    </body>
</html>